ru.bitel.bgbilling.modules.call.processor.event

## Class RadiusAuthenticationEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.call.processor.event.RadiusAuthenticationEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    RadiusAuthenticationEvent, RadiusAuthenticationEvent

      public class RadiusAuthenticationEvent
      extends LocalEvent

  Синхронное событие - RADIUS-аутентификация.
  Событие генерируется перед отправкой положительного или отрицательного ответа авторизации клиенту.
  Позволяет модифицировать ответ, даже изменять его тип.
  Унаследован от `LocalEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RadiusAuthenticationEvent(RadiusSession<?,?> session, int moduleID, int logRecordId, RadiusPacket request, RadiusPacket response)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Contract` | `getContract()` Возвращает договор.
    `int` | `getErrorCode()` Возвращает код ошибки.
    `java.lang.Object` | `getLogin()` Возвращает логин.
    `int` | `getLogRecordId()` Возвращает код записи с логов в таблице log_server__yyyyMM.
    `java.lang.Object` | `getRequest()` Возвращает радиус-пакет (запрос).
    `java.lang.Object` | `getResponse()` Возвращает радиус-пакет (ответ).
    `java.lang.String` | `getUserName()` Возвращает имя пользователя.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RadiusAuthenticationEvent

          public RadiusAuthenticationEvent(RadiusSession<?,?> session,
                                           int moduleID,
                                           int logRecordId,
                                           RadiusPacket request,
                                           RadiusPacket response)

      Конструктор события.
      Parameters:
        `session` - - объект радиус сессии
        `moduleID` - - код модуля
        `logRecordId` - - код записи с логов в таблице log_server__yyyyMM
        `request` - - радиус пакет request
        `response` - - радиус пакет response

  - ### Method Detail

    - #### getContract

          public Contract getContract()

      Возвращает договор.
      Returns:
        contract - договор

    - #### getLogin

          public java.lang.Object getLogin()

      Возвращает логин.
      Returns:
        login - логин

    - #### getErrorCode

          public int getErrorCode()

      Возвращает код ошибки.
      Returns:
        errorCode - код ошибки

    - #### getLogRecordId

          public int getLogRecordId()

      Возвращает код записи с логов в таблице log_server__yyyyMM.
      Returns:
        logRecordId - код записи

    - #### getUserName

          public java.lang.String getUserName()

      Возвращает имя пользователя.
      Returns:
        userName - имя пользователя

    - #### getRequest

          public java.lang.Object getRequest()

      Возвращает радиус-пакет (запрос).
      Returns:
        request - запрос

    - #### getResponse

          public java.lang.Object getResponse()

      Возвращает радиус-пакет (ответ).
      Returns:
        response - ответ